Bug 178919 - Create mock provider
Create mock provider
Product: Fedora
Classification: Fedora
Component: eclipse-bugzilla (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Depends On:
Blocks: 178074
  Show dependency treegraph
Reported: 2006-01-25 09:23 EST by Igor Foox
Modified: 2013-04-02 00:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-11 10:24:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Igor Foox 2006-01-25 09:23:08 EST
Connecting to real bugzillas during testing could be useful but is impossible
under certain circumstances, and very slow as well. We need to make a mockup
provider class that would act as a stand in and be able to feed information to
tests of the rest of the plugin.
Comment 1 Igor Foox 2006-02-10 17:58:53 EST
I have implemented a basic mock bugzilla provider which is included in the 0.2.0
release that should land in rawhide today. This currently involves the
MockBugzillaQueryOptions, MockBugzillaUser and MockBugzillaServer and
BugzillaOperations_Mock classes.

MockBugzillaOperations_Mock is currently completely unimplemented, containing
all the stubs.

The other classes are partially implemented and support creating and adding
options and users to a bugzilla through a public API. What is currently not
supported is querying, creating a new bug, and modifying a bug. I will add these
over the next few days and start using these classes for testing purposes. 
Comment 2 Red Hat Bugzilla 2007-09-11 00:05:15 EDT
User klee@redhat.com's account has been closed
Comment 3 Andrew Overholt 2007-09-11 10:24:07 EDT
We are now shipping Mylyn which obsoletes the old bugzilla plugin.  Please open
a request at bugs.eclipse.org against Mylyn if this issue persists.  Thank you.

Note You need to log in before you can comment on or make changes to this bug.